---
schema-version: '1.1'
name: OpenSearch
version: 3.7.0
platform: linux
architecture: x64
distribution: tar
id: '11976'
rc: '2'
test-run:
  Command: ./test.sh integ-test manifests/3.7.0/opensearch-3.7.0-test.yml --paths
    opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.7.0/11976/linux/x64/tar
  TestType: integ-test
  TestManifest: manifests/3.7.0/opensearch-3.7.0-test.yml
  DistributionManifest: https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.7.0/11976/linux/x64/tar/dist/opensearch/manifest.yml
  TestID: '11224'
components:
  - name: alerting
    command: ./test.sh integ-test manifests/3.7.0/opensearch-3.7.0-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.7.0/11976/linux/x64/tar
      --component alerting
    repository: https://github.com/opensearch-project/alerting.git
    configs:
      - name: with-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/with-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - Test FAIL But Test Result File Has No Failed Test
      - name: without-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/without-security/alerting.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/alerting/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - Test FAIL But Test Result File Has No Failed Test
  - name: sql
    command: ./test.sh integ-test manifests/3.7.0/opensearch-3.7.0-test.yml --paths
      opensearch=https://ci.opensearch.org/ci/dbc/distribution-build-opensearch/3.7.0/11976/linux/x64/tar
      --component sql
    repository: https://github.com/opensearch-project/sql.git
    configs:
      - name: with-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/with-security/sql.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/with-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/with-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/with-security/local-cluster-logs/id-0/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/with-security/local-cluster-logs/id-0/stderr.txt
        failed_test:
          - org.opensearch.sql.plugin.AnalyticsEngineCompatIT
          - org.opensearch.sql.sql.VectorSearchIT
      - name: without-security
        status: FAIL
        yml: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/without-security/sql.yml
        test_stdout: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/without-security/stdout.txt
        test_stderr: https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/without-security/stderr.txt
        cluster_stdout:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/without-security/local-cluster-logs/id-1/stdout.txt
        cluster_stderr:
          - https://ci.opensearch.org/ci/dbc/integ-test/3.7.0/11976/linux/x64/tar/test-results/11224/integ-test/sql/without-security/local-cluster-logs/id-1/stderr.txt
        failed_test:
          - org.opensearch.sql.sql.VectorSearchIT
